﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.DirectX.DirectSound;


namespace NtpChat.Client.Model
{
    public class Message
    {

        public Message(User from, User to, string content)
        {
            SessionId = Guid.NewGuid();
            MessageId = Guid.NewGuid();

            FromUser = from;
            ToUser = to;

            Content = content;
        }

        Guid sessionId;

        public Guid SessionId
        {
            get { return sessionId; }
            set { sessionId = value; }
        }
        Guid messageId;

        public Guid MessageId
        {
            get { return messageId; }
            set { messageId = value; }
        }
        DateTime timeStamp;

        public DateTime TimeStamp
        {
            get { return timeStamp; }
            set { timeStamp = value; }
        }

        String content;

        public String Content
        {
            get { return content; }
            set { content = value; }
        }

        User fromUser;

        public User FromUser
        {
            get { return fromUser; }
            set { fromUser = value; }
        }
        User toUser;

        public User ToUser
        {
            get { return toUser; }
            set { toUser = value; }
        }


        
    }
}
