﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using GalaSoft.MvvmLight.Messaging;
using NtpChat.Client.ViewModel;

namespace NtpChat.Client
{
	/// <summary>
	/// Interaction logic for ConversationView.xaml
	/// </summary>
	public partial class ConversationView : Window
	{
		public ConversationView()
		{
			this.InitializeComponent();
			
			// Insert code required on object creation below this point.
		}

		private void Window_Closing(object sender, System.ComponentModel.CancelEventArgs e)
		{
			Messenger.Default.Send<GenericMessage<ConversationViewModel>>(new GenericMessage<ConversationViewModel>(this,typeof(MainViewModel),(ConversationViewModel)this.DataContext));
		}
	}
}